Subject: git am and the wrong chunk of ---

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 09 Aug 2012 17:13:51 -0700

Hello,

I have some contributors who consistently put their commentary *before* 
the "---" line rather than *after* it, presumably with the notion that 
it is some kind of "cover text".  This messes with "git am", and so I 
end up having to edit those posts manually.

I have tried git am --scissors and it doesn't seem to solve the problem.

Is there any other option which can be used to automatically process 
such a patch?

	-hpa

-- 
H. Peter Anvin, Intel Open Source Technology Center
I work for Intel.  I don't speak on their behalf.